package com.ylx.area.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 平台订单状态
 */
@AllArgsConstructor
@Getter
public enum CityCodeTypeEnum {
    TYPE_110100("110100","北京市"),
    TYPE_120100("120100","天津市"),
    TYPE_310100("310100","上海市"),
    TYPE_500100("500100","重庆市");

    private final String code;
    private final String name;

    public static String getCityCodeType(String code) {
        for (CityCodeTypeEnum roleConstants : CityCodeTypeEnum.values()) {
            if (roleConstants.getCode().equals(code)) {
                return roleConstants.name;
            }
        }
        return null;
    }
}
